/// <reference types="node" />
import { Depot } from "./Depot";
export declare class DataDepot {
    private constructor();
    static load: <T>(depot: Depot<T>, basePath: string, chunkName: string, key?: string) => void;
    static loadFromJson: <T>(depot: Depot<T>, filePath: string, encoding?: BufferEncoding) => void;
    static loadFromObject: <T>(depot: Depot<T>, object: object) => void;
    static insertAnObject: <T>(depot: Depot<T>, key: string, object: object) => void;
    static write: <T>(depot: Depot<T>, basePath: string, option?: {
        chunkName?: string;
        key?: string;
        maxChunkSize?: number;
        maxChunkCount?: number;
    }) => void;
    static writeToJson: <T>(depot: Depot<T>, fileName: string) => void;
}
